You are not logged in.

#1 2013-01-17 00:41:54

kaipee
Member
From: Belfast, UK
Registered: 2012-07-07
Posts: 200

lib32-curl returns: version `CURL_OPENSSL_3' not found

I have had to install lib32-curl for a Uni software package.
Part of one of the scripts requires calling RSS feeds and needs the use of curl, so I installed lib32-curl.

However, it keeps returning this error.

/usr/lib/Sense/CurlPlugin: /usr/lib32/libcurl.so.4: version `CURL_OPENSSL_3' not found (required by /usr/lib/Sense/CurlPlugin)

Any ideas?

Offline

#2 2013-01-17 01:10:33

falconindy
Developer
From: New York, USA
Registered: 2009-10-22
Posts: 4,094
Website

Re: lib32-curl returns: version `CURL_OPENSSL_3' not found

curl isn't returning this -- your closed source blob is. Notice the 'required by' portion of the error.

There's nothing that you can do about it except find an older version of curl. Note that replacing your currently installed version of curl with an older version can potentially break pacman, so.... have fun.

Last edited by falconindy (2013-01-17 01:32:15)

Offline

#3 2013-01-17 10:32:26

kaipee
Member
From: Belfast, UK
Registered: 2012-07-07
Posts: 200

Re: lib32-curl returns: version `CURL_OPENSSL_3' not found

Aah OK, thanks falconindy .

Surely I can have both curl (64bit) and lib32-curl installed side by side? Meaning only 32bit packages maybe have possible 'issues'

For reference I found many others with the same issue.
Fix = PKGBUILD for lib32-curl 7.32.1 found in AUR for connectaddin

For lib32-curl, i had to downgrade to 7.32.1 (http://pkgbuild.com/git/aur-mirror.git/ … 0e610668f2) to have a compatible version of curl

Offline

Board footer

Powered by FluxBB